OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_PolygonOnTriangulation Class Reference

`#include <PBRep_PolygonOnTriangulation.hxx>`

Inheritance diagram for PBRep_PolygonOnTriangulation:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_PolygonOnTriangulation (const Handle(PPoly_PolygonOnTriangulation)&P, const Handle(PPoly_Triangulation)&T, const PTopLoc_Location &L)
virtual Standard_EXPORT Standard_Boolean | IsPolygonOnTriangulation () const
| returns True.
Standard_EXPORT Handle_PPoly_PolygonOnTriangulation | PolygonOnTriangulation () const
Standard_EXPORT Handle_PPoly_Triangulation | Triangulation () const
| PBRep_PolygonOnTriangulation ()
| PBRep_PolygonOnTriangulation (const Storage_stCONSTclCOM &a)
| Handle (PPoly_PolygonOnTriangulation) _CSFDB_GetPBRep_PolygonOnTriangulationmyPolygon() const
void | _CSFDB_SetPBRep_PolygonOnTriangulationmyPolygon (const Handle(PPoly_PolygonOnTriangulation)&p)
| Handle (PPoly_Triangulation) _CSFDB_GetPBRep_PolygonOnTriangulationmyTriangulation() const
void | _CSFDB_SetPBRep_PolygonOnTriangulationmyTriangulation (const Handle(PPoly_Triangulation)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PPoly_PolygonOnTriangulation | myPolygon
Handle_PPoly_Triangulation | myTriangulation

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PolygonOnTriangulation::PBRep_PolygonOnTriangulation | ( | const Handle(PPoly_PolygonOnTriangulation)& | P,
|  | const Handle(PPoly_Triangulation)& | T,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PolygonOnTriangulation::PBRep_PolygonOnTriangulation | ( |  | ) | `[inline]`

PBRep_PolygonOnTriangulation::PBRep_PolygonOnTriangulation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_PolygonOnTriangulation::_CSFDB_SetPBRep_PolygonOnTriangulationmyPolygon | ( | const Handle(PPoly_PolygonOnTriangulation)& | p | ) | `[inline]`

void PBRep_PolygonOnTriangulation::_CSFDB_SetPBRep_PolygonOnTriangulationmyTriangulation | ( | const Handle(PPoly_Triangulation)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_PolygonOnTriangulation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_CurveRepresentation. Reimplemented in PBRep_PolygonOnClosedTriangulation.

PBRep_PolygonOnTriangulation::Handle | ( | PPoly_Triangulation |  | ) | const`[inline]`

PBRep_PolygonOnTriangulation::Handle | ( | PPoly_PolygonOnTriangulation |  | ) | const`[inline]`

| Reimplemented in PBRep_PolygonOnClosedTriangulation.

virtual Standard_EXPORT Standard_Boolean PBRep_PolygonOnTriangulation::IsPolygonOnTriangulation | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT Handle_PPoly_PolygonOnTriangulation PBRep_PolygonOnTriangulation::PolygonOnTriangulation | ( |  | ) | const

Standard_EXPORT Handle_PPoly_Triangulation PBRep_PolygonOnTriangulation::Triangulation | ( |  | ) | const

## Field Documentation

Handle_PPoly_PolygonOnTriangulation PBRep_PolygonOnTriangulation::myPolygon`[private]`

Handle_PPoly_Triangulation PBRep_PolygonOnTriangulation::myTriangulation`[private]`

The documentation for this class was generated from the following file:

- PBRep_PolygonOnTriangulation.hxx